Skip to content

Get Investigation

Request

Retrieves an investigation by ID.

Operation ID: siem_get_investigation

Security
BearerAuth
Path
idstringrequired

ID of the investigation to retrieve.

Query
metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

include_raw_databoolean or null

Include the raw data from the SIEM in the response. Defaults to false.

curl
curl -i -X GET \
  'https://api.synqly.com/v1/siem/investigations/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
resultobject(Investigation)required

The investigation object

messagesobject or null(MessagesResponse)

Additional messages from the service response that may be helpful to the client.

metaobject or null(MetaResponse)

Various metadata about the results organized by group, then type, then field.

Response
{ "result": { "id": "string", "custom_fields": {}, "raw_data": "string" }, "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }